Summary:        A Perl interface to read and write compressed data
Name:           perl-IO-Compress
Version:        2.206
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Compress
Source0:        https://cpan.metacpan.org/modules/by-module/IO/IO-Compress-%{version}.tar.gz

Patch5000:		5000-replace-ZLIB_VERNUM-with-zlib_version-got-by-Compres.patch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(lib) perl(bytes) perl(Carp) perl(constant)
BuildRequires:  perl(File::Copy) perl(File::Spec::Functions) perl(Exporter)
BuildRequires:  perl(Encode) perl(Fcntl) perl(File::Glob) perl(File::Spec)
BuildRequires:  perl(IO::File) perl(IO::Handle) perl(List::Util) perl(strict)
BuildRequires:  perl(Scalar::Util) perl(Symbol) perl(Time::Local) perl(utf8)
BuildRequires:  perl(warnings) perl(File::Path) perl(threads::shared) perl(bytes)
BuildRequires:  perl(Data::Dumper) perl(File::Temp) perl(overload) 
BuildRequires:  perl(Compress::Raw::Bzip2) >= %{version}
BuildRequires:  perl(Compress::Raw::Zlib) >= %{version}
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::More) perl(Test::NoWarnings)
Requires:       perl(File::Glob)
Provides:       perl-Compress-Zlib = %{version}-%{release}
Provides:       perl-IO-Compress-Base = %{version}-%{release}
Provides:       perl-IO-Compress-Bzip2 = %{version}-%{release}
Provides:       perl-IO-Compress-Zlib = %{version}-%{release}
BuildArch:      noarch

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2.

IO-Compress supports reading and writing of the following compressed data 
formats: bzip2, RFC 1950, RFC 1951, RFC 1952 (i.e. gzip), zip.

There are a number of companion modules for IO-Compress that extend the 
suite of compression formats available.
* Compress-Zlib
* IO-Compress-Zlib
* IO-Compress-Bzip2
* IO-Compress-Base

%prep
%autosetup -n IO-Compress-%{version} -p1

chmod -c -x lib/IO/Uncompress/{Adapter/Identity,RawInflate}.pm
find examples -type f -exec chmod -c -x {} \;

sed -i 's|^#!/usr/local/bin/perl.*|#!%{__perl}|' \
	examples/io/anycat examples/io/bzip2/* \
	examples/io/gzip/* examples/compress-zlib/*

for f in $(find t -type f -regex ".*\.\(t\|pl\)"); do
	head -n 1 $f | grep -q "^#\!.*perl\b" || sed -i '1i #!%{__perl}' "$f"
	perl -i -ple '$p' "$f"
	chmod +x "$f"
done

%build
perl Makefile.PL NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install INSTALLDIRS=perl
%{_fixperms} -c %{buildroot}

%check
export TEST_SKIP_VERSION_CHECK=1
make test COMPRESS_ZLIB_RUN_ALL=1

%files
%license README
%doc Changes examples/*
%{perl_privlib}/Compress/
%{perl_privlib}/File/
%dir %{perl_privlib}/IO/
%dir %{perl_privlib}/IO/Compress/
%doc %{perl_privlib}/IO/Compress/FAQ.pod
%{perl_privlib}/IO/Compress/Adapter/
%{perl_privlib}/IO/Compress/Base/
%{perl_privlib}/IO/Compress/Base.pm
%{perl_privlib}/IO/Compress/Bzip2.pm
%{perl_privlib}/IO/Compress/Deflate.pm
%{perl_privlib}/IO/Compress/Gzip/
%{perl_privlib}/IO/Compress/Gzip.pm
%{perl_privlib}/IO/Compress/RawDeflate.pm
%{perl_privlib}/IO/Compress/Zip/
%{perl_privlib}/IO/Compress/Zip.pm
%{perl_privlib}/IO/Compress/Zlib/
%{perl_privlib}/IO/Uncompress/
%{_bindir}/streamzip
%{_bindir}/zipdetails
%{_mandir}/man1/streamzip.1*
%{_mandir}/man1/zipdetails.1*
%{_mandir}/man3/Compress::Zlib.3*
%{_mandir}/man3/File::GlobMapper.3*
%{_mandir}/man3/IO::Compress::*.3*
%{_mandir}/man3/IO::Uncompress::*.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.206-1
- Upgrade to upstream version 2.206
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.201-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.201-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 28 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.201-1
- Initial build
